<template>
  <Modal
    :modalStyle="{ width: '700px' }"
    title="General Entertainer"
    @close="$emit('close', 'general')"
    :visible="visible"
  >
    <div slot="content" class="general px-7 py-7">
      <v-row no-gutters>
        <v-col>
          <Checkbox>Clown</Checkbox>
          <Checkbox>Magicican</Checkbox>
        </v-col>
        <v-col>
          <Checkbox>Juggler</Checkbox>
        </v-col>
        <v-col>
          <Checkbox>Other:</Checkbox>
          <div class="general__desc">Describe</div>
        </v-col>
      </v-row>
    </div>
    <v-btn
      slot="button"
      rounded
      color="error"
      min-width="200"
      @click="$emit('save', 'general')"
    >Save</v-btn>
  </Modal>
</template>

<script>
import Modal from '../../shared/Modal/Modal';
import Checkbox from '../../shared/Checkbox/Checkbox';
export default {
  name: 'ProfessionGeneral',
  props: {
    visible: Boolean
  },
  components: {
    Modal,
    Checkbox
  }
};
</script>

<style lang="scss" scoped >
@import './ProfessionGeneral.scss';
</style>